summaryrefslogtreecommitdiffstats
path: root/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
diff options
context:
space:
mode:
author Patrick J Volkerding <volkerdi@slackware.com>2020-09-08 20:31:53 +0000
committer Eric Hameleers <alien@slackware.com>2020-09-09 08:59:52 +0200
commit1d8bd4aeae48b9943309ad884a2dd100a88db3a7 (patch)
treee7214d20fac9b1d32c62306cddf7aeff5a38a53f /source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
parent6b5c35edbc1ac57c8b8c2737e9bf50fc6f7abb8d (diff)
downloadcurrent-1d8bd4aeae48b9943309ad884a2dd100a88db3a7.tar.gz
current-1d8bd4aeae48b9943309ad884a2dd100a88db3a7.tar.xz
Tue Sep 8 20:31:53 UTC 202020200908203153
l/gst-plugins-base-1.18.0-x86_64-1.txz: Upgraded. l/gst-plugins-good-1.18.0-x86_64-1.txz: Upgraded. l/gst-plugins-libav-1.18.0-x86_64-1.txz: Upgraded. l/gstreamer-1.18.0-x86_64-1.txz: Upgraded. l/jasper-2.0.20-x86_64-1.txz: Upgraded. This update fixes a new varient of CVE-2016-9398 (denial-of-service). For more information, see: https://cve.mitre.org/cgi-bin/cvename.cgi?name=CVE-2016-9398 (* Security fix *) extra/pure-alsa-system/gst-plugins-good-1.18.0-x86_64-1_alsa.txz: Upgraded.
Diffstat (limited to 'source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild')
-rwxr-xr-xsource/l/gst-plugins-libav/gst-plugins-libav.SlackBuild32
1 files changed, 19 insertions, 13 deletions
diff --git a/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild b/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
index 833f896a..fce74fbe 100755
--- a/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
+++ b/source/l/gst-plugins-libav/gst-plugins-libav.SlackBuild
@@ -82,21 +82,27 @@ find . \
\( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
-exec chmod 644 {} \+
-CFLAGS="$SLKCFLAGS" \
-CXXFLAGS="$SLKCFLAGS" \
-./configure \
+# Configure, build, and install:
+export CFLAGS="$SLKCFLAGS"
+export CXXFLAGS="$SLKCFLAGS"
+mkdir meson-build
+cd meson-build
+meson setup \
--prefix=/usr \
- --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --libdir=lib${LIBDIRSUFFIX} \
+ --libexecdir=/usr/libexec \
+ --bindir=/usr/bin \
+ --sbindir=/usr/sbin \
+ --includedir=/usr/include \
+ --datadir=/usr/share \
+ --mandir=/usr/man \
--sysconfdir=/etc \
--localstatedir=/var \
- --mandir=/usr/man \
- --disable-static \
- --with-system-libav \
- --with-libav-extra-configure=\"--enable-runtime-cpudetect\" \
- --build=$ARCH-slackware-linux || exit 1
-
-make $NUMJOBS || make || exit 1
-make install DESTDIR=$PKG || exit 1
+ --buildtype=release \
+ .. || exit 1
+ "${NINJA:=ninja}" $NUMJOBS || exit 1
+ DESTDIR=$PKG $NINJA install || exit 1
+cd ..
find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
| cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null
@@ -118,7 +124,7 @@ fi
mkdir -p $PKG/usr/doc/$PKGNAM-$VERSION
cp -a \
- AUTHORS COPYING* INSTALL NEWS README* TODO \
+ AUTHORS* COPYING* ChangeLog NEWS* README* RELEASE* \
$PKG/usr/doc/$PKGNAM-$VERSION
# If there's a ChangeLog, installing at least part of the recent history